Open CASCADE Technology: Approx_Array1OfAdHSurface Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Approx_Array1OfAdHSurface Class Reference

`#include <Approx_Array1OfAdHSurface.hxx>`

## Public Member Functions
| Approx_Array1OfAdHSurface (const Standard_Integer Low, const Standard_Integer Up)
| Approx_Array1OfAdHSurface (const Handle< Adaptor3d_HSurface > &Item, const Standard_Integer Low, const Standard_Integer Up)
void | Init (const Handle< Adaptor3d_HSurface > &V)
void | Destroy ()
| ~Approx_Array1OfAdHSurface ()
Standard_Boolean | IsAllocated () const
const Approx_Array1OfAdHSurface & | Assign (const Approx_Array1OfAdHSurface &Other)
const Approx_Array1OfAdHSurface & | operator= (const Approx_Array1OfAdHSurface &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle< Adaptor3d_HSurface > &Value)
const Handle< Adaptor3d_HSurface > & | Value (const Standard_Integer Index) const
const Handle< Adaptor3d_HSurface > & | operator() (const Standard_Integer Index) const
Handle< Adaptor3d_HSurface > & | ChangeValue (const Standard_Integer Index)
Handle< Adaptor3d_HSurface > & | operator() (const Standard_Integer Index)

## Constructor & Destructor Documentation

Approx_Array1OfAdHSurface::Approx_Array1OfAdHSurface | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |  |

Approx_Array1OfAdHSurface::Approx_Array1OfAdHSurface | ( | const Handle< Adaptor3d_HSurface > & | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |  |

Approx_Array1OfAdHSurface::~Approx_Array1OfAdHSurface | ( |  | ) |
| inline

## Member Function Documentation

const Approx_Array1OfAdHSurface& Approx_Array1OfAdHSurface::Assign | ( | const Approx_Array1OfAdHSurface & | Other | ) |

Handle< Adaptor3d_HSurface >& Approx_Array1OfAdHSurface::ChangeValue | ( | const Standard_Integer | Index | ) |

void Approx_Array1OfAdHSurface::Destroy | ( |  | ) |

void Approx_Array1OfAdHSurface::Init | ( | const Handle< Adaptor3d_HSurface > & | V | ) |

Standard_Boolean Approx_Array1OfAdHSurface::IsAllocated | ( |  | ) | const

Standard_Integer Approx_Array1OfAdHSurface::Length | ( |  | ) | const

Standard_Integer Approx_Array1OfAdHSurface::Lower | ( |  | ) | const

const Handle< Adaptor3d_HSurface >& Approx_Array1OfAdHSurface::operator() | ( | const Standard_Integer | Index | ) | const
| inline

Handle< Adaptor3d_HSurface >& Approx_Array1OfAdHSurface::operator() | ( | const Standard_Integer | Index | ) |
| inline

const Approx_Array1OfAdHSurface& Approx_Array1OfAdHSurface::operator= | ( | const Approx_Array1OfAdHSurface & | Other | ) |
| inline

void Approx_Array1OfAdHSurface::SetValue | ( | const Standard_Integer | Index,
|  | const Handle< Adaptor3d_HSurface > & | Value
| ) |  |

Standard_Integer Approx_Array1OfAdHSurface::Upper | ( |  | ) | const

const Handle< Adaptor3d_HSurface >& Approx_Array1OfAdHSurface::Value | ( | const Standard_Integer | Index | ) | const

The documentation for this class was generated from the following file:

- Approx_Array1OfAdHSurface.hxx